// app.js
App({
  onLaunch: function () {
    if (!wx.cloud) {
      console.error('请使用 2.2.3 或以上的基础库以使用云能力');
    } else {
      wx.cloud.init({
        // env 参数说明：
        //   env 参数决定接下来小程序发起的云开发调用（wx.cloud.xxx）会默认请求到哪个云环境的资源
        //   此处请填入环境 ID, 环境 ID 可打开云控制台查看
        //   如不填则使用默认环境（第一个创建的环境）
        // env: 'my-env-id',
        traceUser: true,
      });
    }

    this.globalData = {
      // OPENID: wx.cloud.getWXContext().OPENID
      OPENID: '',
      USERID: '',
      ISLOGIN: false
    };

    //尝试读取本地缓存
    try {
      // wx.clearStorage()
      this.globalData.USERID = wx.getStorageSync('user_id')
      this.globalData.OPENID = wx.getStorageSync('user_openid')
    } catch (e) {
      console.error(e);
    }
    
    //检测用户是否首次登录
    if (!this.globalData.OPENID) {
      this.globalData.ISLOGIN = false
      wx.cloud.callFunction({
        name: "getOpenId",
        success: (res) => {
          this.globalData.OPENID = res.result.openid;
          wx.setStorageSync('user_openid', res.result.openid)
        }
      })
    }

    //输出全局变量
    console.log("[GLOABLE] User:",this.globalData);
  },
});
